<?php
/**
 * Plugin Name: Bitcoin News
 * Description: Show off in your website the bitcoin news
 * Version: 1.0
 */

class bitcoin_news extends WP_Widget
{
    public function __construct()
    {
        parent::__construct('bitcoin_news', __('Bitcoin News Widget', 'bitcoin_news'));
    }
    function form($instance)
    {
        if($instance)
        {
            $title = esc_attr($instance['title']);
            $nums_page = esc_attr($instance['nums_page']);
        }
        else
        {
            $title = '';
            $nums_page = 3;
        }
        ?>
        <p>
            <label for="<?php echo esc_attr( $this ->get_field_id('title'));?>"><?php _e('Title :', 'bitcoin_news'); ?></label><br>
            <input id="<?php echo esc_attr($this -> get_field_id('title')) ?>" name="<?php echo esc_attr($this ->get_field_name('title')) ?>" type="text" value="<?php echo esc_attr($title);?>"/>
        </p>
        <p>
            <select id="<?php echo esc_attr( $this->get_field_id( 'nums_page' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'nums_page' ) ); ?>">
                <option <?php if($nums_page == 3) echo "selected='selected'"; ?>>3</option>
                <option <?php if($nums_page == 5) echo "selected='selected'"; ?>>5</option>
                <option <?php if($nums_page == 10) echo "selected='selected'"; ?>>10</option>
                <option <?php if($nums_page == 15) echo "selected='selected'"; ?>>15</option>
                <option <?php if($nums_page == 20) echo "selected='selected'"; ?>>20</option>
                <option <?php if($nums_page == 25) echo "selected='selected'"; ?>>25</option>
            </select>
            <label for="<?php echo esc_attr( $this->get_field_id( 'nums_page' ) ); ?>"><?php _e( 'Retrieve latest News ', 'bitcoin_news' ); ?></label>
        </p>

    <?php
    }
    function update($new_instance, $old_instance)
    {
        $instance = $old_instance;
        $instance['title'] = strip_tags($new_instance['title']);
        $instance['nums_page'] = strip_tags($new_instance['nums_page']);
        return $instance;
    }
    function widget($args, $instance)
    {
        $title = apply_filters('widget_title', empty( $instance['title']) ? __('Bitcoin News Widget') : $instance['title']);
        echo $args['before_widget'];
        echo '<div class="bitcoin-news-wrapper">';
        echo $args['before_title'].$title.$args['after_title'];

        $rss = fetch_feed('http://bitcoincasino.best/category/wpnews/feed/');
        $html = '<ul class = "bitcoin-news">';
        if( !is_wp_error($rss)) {
            $maxitems = $rss->get_item_quantity($instance['nums_page']);
            if($maxitems == 0)
            {
                $html .= '<li>There are not blogs yet.</li>';
            }
            else
            {
                $rss_items = $rss->get_items(0, $maxitems);
                foreach ($rss_items as $item) {
                    $html .= '<li><a href="'.esc_url($item ->get_permalink()).'" title = "Posted '.$item -> get_date().'" style = "margin-right:20px;" target="_blank">'.esc_html( $item ->get_title()).'</a>   '.$item ->get_date("j F Y").'</li>';
                }
            }
        }
        $html .= '</ul>';
        $html .= '<p>Bitcoin news by <a href="http://bitcoincasino.best/">http://bitcoincasino.best/</a></p>';
        echo $html;
        echo '</div>';
        echo $args['after_widget'];

    }
}

add_action('widgets_init', create_function('', 'return register_widget("bitcoin_news");'));
function bitcoin_enqueue_script()
{
    wp_enqueue_style('bitcoin-front-style', plugins_url('style.css', __FILE__));
}
add_action('wp_enqueue_scripts', 'bitcoin_enqueue_script');